#include "ServiceInfo.h"


CServiceInfo::CServiceInfo()
{
	// thread handle 초기화
	m_threadHandle = 0;


}

CServiceInfo::~CServiceInfo()
{
	// thread 가 동작 중인 경우.. thread 중지 처리
	if( m_threadHandle != 0 )
	{
		pthread_cancel( m_threadHandle );

		// thread 종료 잠시 대기
		sleep( 1 );
	}
}

bool CServiceInfo::Start( void )
{
	// 현재는 DB 접속 후 cache 작업을 수행하지 않으므로.. 무조건 true 반환.
	return true;
}

bool CServiceInfo::GetServiceInfo( const std::string & szService, std::string & szServiceSeq, bool & bUriIgnoreCase )
{
	if( szService.compare( "estsoftstg" ) == 0 )
	{
		// estsoftstg 서비스인 경우.. 
		szServiceSeq = "600";
		bUriIgnoreCase = true;

		return true;
	}
	else
		return false;
}

